#ifndef _RJTE_INT_H_
#define _RJTE_INT_H_

#ifndef _RJTE_H_
#error Include rjte.h instead.
#endif

/* Useful types */
typedef unsigned char u8;
typedef char s8;
typedef unsigned int u16;
typedef int s16;

/* Provides access to the bits in a byte. */
typedef struct
{
	char bit_0:1;
	char bit_1:1;
	char bit_2:1;
	char bit_3:1;
	char bit_4:1;
	char bit_5:1;
	char bit_6:1;
	char bit_7:1;
} __bits;

/* Provides a __bits structure at the given address. */
#define IO_BITS(addr)	(*(volatile __bits *)addr)

/* Raw button access */
#define BUTTON1_RAW	(!(PINB & (1 << 5)))
#define BUTTON2_RAW	(!(PINB & (1 << 4)))

/* Motor direction outputs */
#define MOTOR_DIR_A	IO_BITS(0x38).bit_0
#define MOTOR_DIR_B	IO_BITS(0x38).bit_3

#endif /* _RJTE_INT_H_ */

